#602 Add a "REXX" package that all loaded packages have as a dependent package.

5.0.0
pending
None
none
1
2015-10-18
2014-06-30
No

Since Package objects function as class loaders/resolvers for class and routine lookups, it would be nice if there were a language package that provided the same functions for the language-provided classes and routines. This might be a useful means to implement [feature-requests:#601].

Related

Feature Requests: #601
Feature Requests: #602

Discussion

  • Rick McGuire

    Rick McGuire - 2014-09-24
    • status: unread --> accepted
    • assigned_to: Rick McGuire
    • Pending work items: none --> doc+test
    • Milestone: None --> 5.0.0
     
  • Rick McGuire

    Rick McGuire - 2014-10-13
    • Pending work items: doc+test --> doc
     
  • Erich

    Erich - 2015-06-13

    Can anyone explain what exactly should be documented regarding this RFE?

     
    • Rick McGuire

      Rick McGuire - 2015-06-13

      Well, this shows up in a number of places. For example, REXX is a reserved
      namespace name when assigning a namespace prefix to a package. Also, the
      REXX namespace package can be used to explicitly address REXX-defined
      classes (e.g., rexx::array)

      Rick

      On Sat, Jun 13, 2015 at 4:14 PM, Erich erich_st@users.sf.net wrote:

      Can anyone explain what exactly should be documented regarding this RFE?


      [feature-requests:#602] Add a "REXX" package that all loaded packages
      have as a dependent package.

      Status: accepted
      Milestone: 5.0.0
      Created: Mon Jun 30, 2014 01:08 PM UTC by Rick McGuire
      Last Updated: Mon Oct 13, 2014 09:48 PM UTC
      Owner: Rick McGuire

      Since Package objects function as class loaders/resolvers for class and
      routine lookups, it would be nice if there were a language package that
      provided the same functions for the language-provided classes and
      routines. This might be a useful means to implement
      [feature-requests:#601].


      Sent from sourceforge.net because you indicated interest in <
      https://sourceforge.net/p/oorexx/feature-requests/602/>

      To unsubscribe from further messages, please visit <
      https://sourceforge.net/auth/subscriptions/>

       

      Related

      Feature Requests: #601
      Feature Requests: #602

  • Erich

    Erich - 2015-06-13

    Well, this shows up in a number of places
    For example, REXX is a reserved namespace name when assigning a namespace prefix to a package
    Also, the REXX namespace package can be used to explicitly address REXX-defined
    classes (e.g., rexx::array)

    OK, thanks ..

    ::REQUIRES .. NAMESPACE subkeyword and a chapter "Namespaces" under "ooRexx General Concepts" documented in revison [r10915].

     

    Related

    Commit: [r10915]

  • Erich

    Erich - 2015-10-18
    • status: accepted --> pending
    • Pending work items: doc --> none
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks